<template>
	<view class="cu-card article ">
		<view class="cu-item shadow borderBottom" v-for="(item,index) in list" :key="index">
			<view class="title">
				<view class="text-cut">任务类型 : {{item.taskType}}</view>
				<view>
					<button type="primary" size="large" @click="choose(item)" style="float: right;">选择任务</button>
				</view>
			</view>
			<view class="content">
				<view class="desc">
					<view class="text-content">
						<view>发货点位 : {{item.srcLocationCode}}</view>
						<view>目的点位 : {{item.destLocationCode}}</view>
						<view>物料编码 : {{item.material.materialCode}}</view>
						<view>物料名称 : {{item.material.materialName}}</view>
						<view>呼叫时间 : {{item.callDatetime}}</view>
						<view>状态 : {{item.taskStatus}}</view>
					</view>
				</view>
			</view>
		</view>
	</view>
</template>

<script>
import { listData } from "@/api/les/lesMaterialDelivery.js"

export default {
	data() {
		return {
			list: {},
		}
	},
	created() {
		this.getList();
	},
	methods: {
		getList() {
			listData().then(res => {
				this.list = res.rows;
			})
		},
		choose(data) {
			this.$tab.navigateTo("/pages/les/deliveryMaterial?formData=" + JSON.stringify(data));
		}
	}
}
</script>